import React from 'react';
import createHistory from "history/createBrowserHistory";
import {Provider, connect}   from 'react-redux';
import store from '../reducers';
import RegForm from '../pages/reg';
import { LogForm } from '../pages/login';
import Home from '../pages/homePage';
import ConnectCabinet from '../pages/cabinet';
import CProjects from '../pages/projects';
import ConUpload from '../pages/upload';
import ConnectedProject from '../pages/project';
import {
  BrowserRouter as Router,
  Switch,
  Route, 
  Link
} from "react-router-dom";

const Routes = ({isAuth}) => {
    return (
        <div className="App">
          <div className = 'contentDiv'>
         
            {/* <CTester/> */}
          <Router history = {createHistory()}>
              {isAuth && <Switch>
            <Route exact path='/' component={Home} />
          <Route path='/cabinet' component={ConnectCabinet}/>
          <Route path='/projects' component={CProjects}/>
          <Route path='/project/:id' component={ConnectedProject}/>
          <Route path='/upload' component={ConUpload}/>
          </Switch>}
          {!isAuth && <Switch>
          <Route path='/login' component={LogForm}/>
          <Route path='/registration' component={RegForm}/>
              </Switch>}
          </Router>
          </div>
        </div>
      );
}

const ConnectedRoutes = connect(state => ({isAuth: state.auth.token}))(Routes)
export default ConnectedRoutes